/*
 * ImageViewer.java
 *
 * Created on December 23, 2004, 8:35 AM
 */

package Grapher.util;

/**
 *
 * @author David
 */
import java.awt.*;
import java.awt.event.*;

public class ImageViewer extends Frame {
        protected Image myImage;

	public ImageViewer(Image image) {
                myImage = image;
		Toolkit toolkit = Toolkit.getDefaultToolkit();
		MediaTracker mediaTracker = new MediaTracker(this);
		mediaTracker.addImage(myImage, 0);
		try
		{
			mediaTracker.waitForID(0);
		}
		catch (InterruptedException ie)
		{
			System.err.println(ie);
			System.exit(1);
		}
		addWindowListener(new WindowAdapter() {
      		public void windowClosing(WindowEvent e) {
        		System.exit(0);
      		}
		});
		setSize(myImage.getWidth(null), myImage.getHeight(null));
		setTitle("Grapher image");
		show();
	}

	public void paint(Graphics graphics) {
		graphics.drawImage(myImage, 0, 0, null);
	}
}
